# coding=utf-8
import django_filters

from .models import ExamPaper

class ExamPaperFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name="name", lookup_expr="icontains")
    subject = django_filters.CharFilter(field_name='subject_id')
    type = django_filters.CharFilter(field_name='type')

    class Meta:
        model = ExamPaper
        fields = "__all__"